/*******************************************************************************
 *	BFileCsv.h	BEAM CSV access class
 *	T.Barnaby,	BEAM Ltd,	2012-01-10
 *	Copyright (c) 2022 All Right Reserved, Beam Ltd, https://www.beam.ltd.uk
 *	For license see LICENSE.txt at the root of the beamlib source tree.
 *******************************************************************************
 */
#ifndef BFile_H
#define BFile_H	1

#include	<BFile.h>

/// A class to read and write CSV formatted files
class BFileCsv : public BFile {
public:
		BFileCsv(char separator = ';');

	BError	readCsv(BStringList& csvList);
	BError	writeCsv(BStringList& csvList);
private:
	char	oseparator;
};

#endif
