/*******************************************************************************
 *	BoapnsD.h	Produced by Bidl
 *******************************************************************************
 */
/// @file BoapnsD.h
/// @date 2022-11-30T14:15:59
/// @brief BOAP data class definitions for: Boapns
/// @details The classes in here have been defined by a BOAP *.bidl file and
///   define classes able to be communicated across a BOAP link

#ifndef BOAPNSD_H
#define BOAPNSD_H 1

#include <Boap.h>
#include <BObj.h>
#include <BDate.h>
#include <BTimeStamp.h>
#include <BComplex.h>
#include <BList.h>
#include <BArray.h>

namespace Boapns {
	class BoapEntry {
	public:
		BoapEntry(BString name = BString(), BString hostName = BString(), BList<BString > addressList = BList<BString >(), BUInt32 port = 0, BUInt32 service = 0);
	public:
		BString	name;
		BString	hostName;
		BList<BString >	addressList;
		BUInt32	port;
		BUInt32	service;
	};

}

#endif
